<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="co.micol.prj.member.map.MemberMapper">
	<select id="memberSelectList" resultType="co.micol.prj.member.service.MemberVO">
		SELECT * FROM MEMBER
	</select>

	<select id="memberSelect"
		resultType="co.micol.prj.member.service.MemberVO">
		SELECT * FROM MEMBER
		WHERE MEMBER_ID = #{memberId} <!-- 보객체명을 써야한다. -->
		<if test="memberPassword != null">AND MEMBER_PASSWORD = #{memberPassword}</if>
	</select>

	<insert id="memberInsert"
		parameterType="co.micol.prj.member.service.MemberVO">
		INSERT INTO MEMBER
		VALUES(#{memberId},#{memberName},#{memberPassword},#{memberAge},
		#{memberAddress},#{memberTel},#{memberAuthor})
	</insert>

	<delete id="memberDelete"
		parameterType="co.micol.prj.member.service.MemberVO">
		DELETE FROM MEMBER WHERE MEMBER_ID = #{memberId}
	</delete>

	<update id="memberUpdate" parameterType="co.micol.prj.member.service.MemberVO">
		UPDATE MEMBER 
		<set>
		<if test="memberName != null"> MEMBER_NAME = #{memberName},</if>
		<if test="memberPassword != null"> MEMBER_PASSWORD = #{memberPassword},</if>		
		<if test="memberAddress != null"> MEMBER_ADDRESS = #{memberAddress},</if>
		<if test="memberAge != null"> MEMBER_AGE = #{memberAge},</if>
		<if test="memberTel != null"> MEMBER_TEL= #{memberTel},</if>
		<if test="memberAuthor != null">MEMBER_AUTHOR = #{memberAuthor}</if> 
		</set>
		WHERE MEMBER_ID = #{memberId}
	</update>
	
	<!-- 트루 1/ false 0 -->
	<select id="isIdCheck" resultType="boolean">
		SELECT CASE WHEN COUNT(MEMBER_ID)= 1 THEN 0 
		                                     ELSE 1 
		           END AS ID
		FROM MEMBER
		WHERE MEMBER_ID = #{id} <!-- vo에서 매개변수가 id여서  -->
	</select>

</mapper>